Article ID: 5225, created on Aug 1, 2013, last review on May 6, 2014

  • Applies to:
  • Plesk for Linux/Unix

问题

在 Apache 启动过程中,报告以下警告信息:

Warning: SuexecUserGroup directive requires SUEXEC wrapper
Warning: SuexecUserGroup directive requires SUEXEC wrapper

解决方案

此类警告通常由 suexec wrapper 上的无效权限引起,正确的权限应如下:
# ls -la /usr/sbin/suexec
-rwsr-xr-x 1 root root 12064 2008-04-17 01:15 /usr/sbin/suexec

如果所有权和权限与以下示例不同,可使用以下命令进行更正:
# chown root:root  /usr/sbin/suexec
# chmod 4755 /usr/sbin/suexec

注意 suexec 二进制的名称可能会因为操作系统而不同,例如对于 SuSE 10,则应是 "/usr/sbin/suexec2."

而且,请注意 Plesk 会使用其自身的版本替换 suexec,这样在虚拟主机环境中安全性会更高。了解详情,请查看文章 #762.

29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c

Email subscription for changes to this article